Skip to main content
GET
/
recipient-groups
/
{reference}
Get Recipient Group
curl --request GET \
  --url https://staging.api.onenumber.africa/v1/recipient-groups/{reference} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": [
    {
      "reference": "<string>",
      "name": "<string>",
      "recipients": [
        {
          "reference": "<string>",
          "phoneNumber": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.onenumber.africa/llms.txt

Use this file to discover all available pages before exploring further.

Request Path Parameter

reference
string
required
The reference of the Group.

Successful Response Data

statusCode
int
required
The status of the response. For successful response, value is 201. Check the Response Codes page for details.
message
string
required
The message of the response.
data
array